Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1879475 - Operator condition reasons should be unique
Summary: Operator condition reasons should be unique
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Christian Huffman
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-16 11:27 UTC by Jan Safranek
Modified: 2020-10-27 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:41:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift aws-ebs-csi-driver-operator pull 95 0 None open Bug 1879475: Update library-go to include explicit reasons 2020-09-29 15:25:27 UTC
Github openshift cluster-csi-snapshot-controller-operator pull 54 0 None closed Bug 1879475: Updated status reasons to be more explicit in failure scenarios 2020-09-29 14:38:47 UTC
Github openshift csi-driver-manila-operator pull 66 0 None open Bug 1879475: Update library-go to include explicit reasons 2020-09-29 15:25:25 UTC
Github openshift library-go pull 901 0 None open Bug 1879475: Update status reasons to be more explicit 2020-09-29 14:38:47 UTC
Github openshift openstack-cinder-csi-driver-operator pull 5 0 None open Bug 1879475: Update library-go to include explicit reasons 2020-09-29 15:28:45 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:41:31 UTC

Description Jan Safranek 2020-09-16 11:27:12 UTC
Description of problem:

Found by Insights team when analyzing 4.3 -> 4.4 upgrades and noticing csi-snapshot-controller-operator stuck at "Waiting for Deployment to deploy csi-snapshot-controller pods". Telemetry does not gather condition messages, they collect only Reason. And in this case, the reason was AsExpected, which is hard to filter with - this Reason is used in too many other cases.

Each failure condition should have its own Reason. We should audit AsExpected occurrence in all storage operators:

- cluster-csi-snapshot-controller-operator
- cluster-storage-operator
- CSI driver operators

For example:
https://github.com/openshift/cluster-storage-operator/pull/63/files#diff-97e82b0d41902abcb7a788ea37573993R328
https://github.com/openshift/cluster-csi-snapshot-controller-operator/blob/108649ce8d46991803eef8fa43f25f112f41addb/pkg/operator/sync.go#L199

Comment 6 Qin Ping 2020-09-30 08:35:19 UTC
In 4.6.0-0.nightly-2020-09-29-215452, all the PRs are included, marked this bug as verified.

Comment 9 errata-xmlrpc 2020-10-27 16:41:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.